Skip to main content
POST
/
customer-agreements
Create customer agreement
curl --request POST \
  --url https://api.finpace.tech/customer-agreements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agreementId": "agr_01",
  "customerId": "<string>",
  "agreementType": "account",
  "status": "active"
}
'
{
  "agreementId": "agr_01",
  "customerId": "<string>",
  "agreementType": "account",
  "status": "active"
}

Documentation Index

Fetch the complete documentation index at: https://docs.finpace.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
agreementId
string
required
Example:

"agr_01"

customerId
string
required
agreementType
string
required
Example:

"account"

status
string
required
Example:

"active"

Response

200 - application/json

OK

agreementId
string
required
Example:

"agr_01"

customerId
string
required
agreementType
string
required
Example:

"account"

status
string
required
Example:

"active"